Bug 241928 - IPMI driver updates for RHEL 5.1
IPMI driver updates for RHEL 5.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Martin Jenner
:
Depends On:
Blocks: 200222 222082
  Show dependency treegraph
 
Reported: 2007-05-31 15:02 EDT by Peter Martuccelli
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:50:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Martuccelli 2007-05-31 15:02:25 EDT
Update of IPMI drivers for RHEL 5.1.
Comment 1 Peter Martuccelli 2007-05-31 15:04:39 EDT
Update request for RHEL 5.0 IPMI drivers to be brought up to 2.6.21 or greater
for RHEL 5.1.  Patch set consists of changes that have been accepted upstream.
Comment 2 RHEL Product and Program Management 2007-05-31 15:06:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2007-06-15 20:33:20 EDT
in 2.6.18-27.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 5 Peter Martuccelli 2007-07-11 12:55:24 EDT
*DOC*

RHEL 5.1 includes an update of the IPMI driver set to include the upstream
changes as of 2.6.21.3, (with some patches pulled in from 2.6.22-rc4).  Specific
changes include the following:

[] Fix unitialized data bug in ipmi_si_intf
[] Do not start kipmid if driver supports interrupts
[] Allow users to override the kernel daemon enable, (force_kipmid)
[] Per channel command registration
[] Remove interface number limits, (MAX_IPMI_INTERFACES is no longer used)
[] Support for hot system interface remove
[] Addition of maintenance mode to support firmware updates
[] Add poweroff support for the pigeonpoint IPMC
[] Fixed BT subdriver to survive long timeouts
[] Addition of pci_remove handling for proper cleanup on hot remove
[] Misc changes, pci_register_driver conversion, set all return codes to
   negative valuse, resolve PROC_FS warnings, addition of a poll delay to 
   timeout commands, remove static allocations initialized to 0, increase KCS 
   message size to IPMI_MAX_MSG_SIZE, set the proper addr ype, (IO/MEM), in
   the ACPI init code.

New module parameters are discussed, outlined, in Documentation/IPMI.txt.
Comment 10 Don Domingo 2007-08-07 20:13:30 EDT
Peter,

looking through the notes again, edited:
<quote orig>
    * hot system interface is no longer supported
</quote orig>

to

<quote new>
    * hot system interface removal is now supported
</quote new>

which i assume is correct?
Comment 11 Peter Martuccelli 2007-08-08 10:28:31 EDT
Correct, hot system interface removal is now supported.
Comment 12 Mike Gahagan 2007-09-21 15:40:20 EDT
Confirmed that the update ipmi driver is in the -47.el5 kernel
Comment 14 errata-xmlrpc 2007-11-07 14:50:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.